
#setMMRBaseAddr 0xFF400000
writereg	MBAR	0xFF400000

##############################################
# System Configuration - Local Access Windows 
##############################################

# Local Bus Local Access Windows
#################################
# WINDOW 0 - FLASH
writemem.l 0xff400020 0xfe000000 # LBLAWBAR0  - begining at 0xfe000000 
writemem.l 0xff400024 0x80000018 # LBLAWAR0   - enable, size = 32MB 


# WINDOW 1 - for u-boot stack
writemem.l 0xff4000a0 0xe4000000 # DDRLAWBAR0 - begining at 0xe4000000
writemem.l 0xff4000a4 0x80000019 # DDRLAWAR0  - enable, size = 64MB


# System configuration registers

writemem.l 0xff400114 0x40000000 # SICRL

ANDmem.l 0xff400118 0x00000003 # SICRH

ANDMem.l 0xff400800 0x00300000 # ACR - Enable Core

